* {
    margin: 0;
    scroll-behavior: smooth;
    font-family: "Montserrat", sans-serif;
    /*max-width: 1920px;*/
}

body {
    min-height: 100vh;
    max-width: 100%;
    background-color: rgb(6, 20, 26);

}

h4 {
    font-weight: 700;
}


#content {
    padding-left: 60px;
    padding-top: 60px;

}

.ul {
    display: flex;
    gap: 5px;
    list-style: none;
    padding: 0;
    justify-content: center;
    margin-top: 10px;
}

.pokemon {
    cursor: pointer;
    color: whitesmoke;
    border: 1px solid #ddd;
    transition: box-shadow 0.3s ease;
    border-radius: 12px;
    padding: 12px;
    margin: 10px;
    text-align: center;
    width: 180px;
    display: inline-block;
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.1);
 
}

.pokemon p {
    color: rgb(255, 213, 0);
    font-weight: 800;
}

.pokemon img {
    padding-top: 16px;
    padding-bottom: 16px;
    width: 120px;
}

.spinner {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #e3350d;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite;
    margin: 40px auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.no-results {
    display: flex;
    justify-content: center;
    color: whitesmoke;
}

.no-scroll {
    overflow: hidden;
    height: 100vh;
}


.pagination-controls {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin: 20px 0;
}

.pagination-controls button {
    background-color: rgb(255, 251, 227);
    border: none;
    padding: 8px 16px;
    border-radius: 6px;
    cursor: pointer;
    font-weight: bold;
}

.pagination-controls button:hover {
    background-color: rgb(255, 213, 0);
}


/*-------------------------- stats, type, bar -----------------------------------*/

.type-list {
    display: flex;
    padding-top: 12px;
    gap: 5px;
    list-style: none;
    padding: 0;
    margin-bottom: 16px;
}

.type-icons {
    display: flex;
    gap: 5px;
    list-style: none;
    padding: 0;
    margin: 5px 0;
}

.pokemon-detail-image {
    width: 200px;
    display: block;
    margin: 0 auto 16px auto;
}

.stats-container {
    background-color: rgba(8, 27, 34, 0.22);
    padding: 14px;
    border-radius: 10px;
    margin-top: 10px;
}

.stat-row {
    margin-bottom: 12px;
}

.stat-bar-bg {
    background-color: #ddd;
    border-radius: 6px;
    overflow: hidden;
    height: 12px;
    margin: 4px 0;
}

.stat-bar-fill {
    height: 100%;
    transition: width 0.3s ease;
}

.bar-green {
    background-color: #4CAF50;
}

.bar-yellow {
    background-color: #FFC107;
}

.bar-red {
    background-color: #F44336;
}

.detail-close {
    text-align: right;
}

/*------------------------------Tabs in detail view -----------------------------*/
.tabs {
    display: flex;
    justify-content: center;
    gap: 12px;
    margin: 20px 0;
}

.tab-btn {
    padding: 8px 16px;
    border: none;
    background-color: #eee;
    border-radius: 6px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.2s;
}

.tab-btn.active {
    background-color: #2196F3;
    color: white;
}

.tab-content {
    display: none;
    animation: fadeIn 0.3s ease-in;
}

.tab-content.active {
    display: block;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/*----------------------------color of types--------------------------------------*/
.type-normal {
    box-shadow: 0 0 12px 4px #A8A878;
}

.type-normal:hover {
    box-shadow: 0 0 20px 8px #A8A878;
}

.type-fire {
    box-shadow: 0 0 12px 4px #F08030;
}

.type-fire:hover {
    box-shadow: 0 0 20px 8px #F08030;
}

.type-water {
    box-shadow: 0 0 12px 4px #6890F0;
}

.type-water:hover {
    box-shadow: 0 0 20px 8px #6890F0;
}

.type-electric {
    box-shadow: 0 0 12px 4px #F8D030;
}

.type-electric:hover {
    box-shadow: 0 0 20px 8px #F8D030;
}

.type-grass {
    box-shadow: 0 0 12px 4px #78C850;
}

.type-grass:hover {
    box-shadow: 0 0 20px 8px #78C850;
}

.type-ice {
    box-shadow: 0 0 12px 4px #98D8D8;
}

.type-ice:hover {
    box-shadow: 0 0 20px 8px #98D8D8;
}

.type-fighting {
    box-shadow: 0 0 12px 4px #C03028;
}

.type-fighting:hover {
    box-shadow: 0 0 20px 8px #C03028;
}

.type-poison {
    box-shadow: 0 0 12px 4px #A040A0;
}

.type-poison:hover {
    box-shadow: 0 0 20px 8px #A040A0;
}

.type-ground {
    box-shadow: 0 0 12px 4px #E0C068;
}

.type-ground:hover {
    box-shadow: 0 0 20px 8px #E0C068;
}

.type-flying {
    box-shadow: 0 0 12px 4px #A890F0;
}

.type-flying:hover {
    box-shadow: 0 0 20px 8px #A890F0;
}

.type-psychic {
    box-shadow: 0 0 12px 4px #F85888;
}

.type-psychic:hover {
    box-shadow: 0 0 20px 8px #F85888;
}

.type-bug {
    box-shadow: 0 0 12px 4px #A8B820;
}

.type-bug:hover {
    box-shadow: 0 0 20px 8px #A8B820;
}

.type-rock {
    box-shadow: 0 0 12px 4px #B8A038;
}

.type-rock:hover {
    box-shadow: 0 0 20px 8px #B8A038;
}

.type-ghost {
    box-shadow: 0 0 12px 4px #705898;
}

.type-ghost:hover {
    box-shadow: 0 0 20px 8px #705898;
}

.type-dragon {
    box-shadow: 0 0 12px 4px #7038F8;
}

.type-dragon:hover {
    box-shadow: 0 0 20px 8px #7038F8;
}

.type-dark {
    box-shadow: 0 0 12px 4px #705848;
}

.type-dark:hover {
    box-shadow: 0 0 20px 8px #705848;
}

.type-steel {
    box-shadow: 0 0 12px 4px #B8B8D0;
}

.type-steel:hover {
    box-shadow: 0 0 20px 8px #B8B8D0;
}

.type-fairy {
    box-shadow: 0 0 12px 4px #EE99AC;
}

.type-fairy:hover {
    box-shadow: 0 0 20px 8px #EE99AC;
}

html, body {
    height: 100%;
   
}

.page-wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;

}

#content {
    flex: 1;
    max-width: 1920px;
}